Subject: [fdt] Fwd: [CFRG] XDR in RFC8391

From: Carsten Bormann <[email-masked]>
Date: Wed, 2 Dec 2020 13:43:12 +0100

Apparently there was another failure in checking a formal definition before publication.
(Note that RFC 4506 in turn doesn’t use ABNF to define XDR specification syntax.)

I think the third item isn’t a problem; the text in 4506 just seems to lack an explanation for the apparent fall-through-like meaning of this ABNF:

      case-spec:
        ( "case" value ":")
        ( "case" value ":") *
        declaration “;"

So this leaves us with syntax errors in the spec, which are easy to repair, but clearly an annoyance.

JFYI.

Grüße, Carsten

> Begin forwarded message:
> 
> From: "Kretschmer, Andreas" <[email-masked]>
> Subject: [CFRG] XDR in RFC8391
> Date: 2020-12-02 at 10:42:33 CET
> To: "[email-masked]" <[email-masked]>
> Archived-At: <https://mailarchive.ietf.org/arch/msg/cfrg/LKMzLHjwVZQoobrObWUyhOUs4ds>
> Message-Id: <[email-masked]>
> 
> Hello,
> 
> I tried to use the XDR definitions given in RFC8391 Appendix A,B,C for generating a parser skeleton. Unfortunately I found some parts of the XDR definitions not compliant to the referred RFC4506:
> 
> - some Identifiers contain "/" and "-", RFC4506 allows only letter, digits and underbars
> - some enum bodies end with  ",}", RFC4506 requests "}" here
> - some union definitions have incomplete declarations in the case-spec, e.g. the union xmss_ots_signature refers to the wotsp-sha2_256 without giving a type.
> 
> Now my questions:
> 
> - Is there a fixed formal correct version of the  RFC8391 XDR definitions available?
> -  Whats the binary representations of an union holding incomplete  declarations?
> 
> Could somebody please give me a  hint or a pointer to the answers?
> 
> Regards,
> Andreas
> 
> _______________________________________________
> CFRG mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/cfrg